#!/bin/bash
source $(dirname $0)/../defs
for r in $rates; do
	for t in $targets; do
		fgt=$(echo $t|awk '{print $1/1000}')
		fgr=$(echo $r|awk '{print $1/10000}')
		bgr=$(echo $fgr|awk '{print 1 - $1}')
		cat $edir/$EXP.exp \
			| sed -e "s/FGT/$fgt/" \
			| sed -e "s/FGR/$fgr/" \
			| sed -e "s/BGR/$bgr/" \
			> $odir$scale/$EXP-$t-$r.exp
		for q in $queues; do
			if [ "$q" = "ld" -o "$q" = "dsf" -o "$t" = 256 ]; then
				echo -n " -stopTime=600 -configFile=$odir/$EXP-$t-$r.exp -monFile=$odir/mon-$q-$t-$r"
				case "$q" in
			  	ld) echo " -queueTime=256 -setLD=1";;
		  	prio) echo " -queueTime=256 -setPRIO=1";;
			  fifo) echo " -queueTime=256";;
				 dsf) echo;;
				esac
			fi
		done
	done
done |$PARALLEL --colsep ' ' $NS3 {}
