#!/bin/bash
source $(dirname $0)/../defs
for q in DSF FIFO; do
	for traf in poisson pareto; do
		for ((run=0;run<$runs;run+=1)); do
			echo -n " -run=$run -configFile=$edir/$traf.exp -monFile=$odir/mon-$q-$traf-$run"
			[ "$q" = "FIFO" ] && echo " -queueTime=100" || echo
		done
	done
done |$PARALLEL --colsep ' ' $NS3 {}
