#!/bin/bash
source $(dirname $0)/../defs
# fix scientific notation
sed -ie 's/1e-04/0.0001/' $odir/markov
for rate in $rates; do
	for ((target=1;target<=$qsize;target\*=2)); do
		fgrep "$rate $target " $odir/markov
	done
	echo
done > $ddir/markov
sort -g -k2 $odir/fifo-late > $ddir/fifo-late
sort -g -k2 $odir/fifo-loss > $ddir/fifo-loss
cp $odir/dsf-markov-loss $ddir/dsf-markov-loss

for f in dsfMarkov vifqMarkov; do
for rate in $rates; do
  for ((target=1;target<=$qsize;target\*=2)); do
		fgrep "$rate $target " $odir/$f.table 2>/dev/null
  done
  echo
done > $ddir/$f
done
