#!/bin/bash
rdir=$(pwd)
cd $(dirname $0)
cdir=$(pwd)
cd $rdir
source $cdir/../config

if [ $# -gt 0 ]; then
	cfg="-configFile=$cdir/$1"
	shift
else
	cfg="-configFile=$cdir/dsf.cfg"
fi
# NS_GLOBAL_VALUE="RngRun=1"

LD_LIBRARY_PATH=$DSFDIR/build/lib \
DCE_PATH=$DSFDIR/build/bin \
DCE_ROOT=$DSFDIR/build/bin_dce \
exec $cdir/dsf.sh \
-compFile=$OUTDIR/dsf.comp \
-flowmonFile=$OUTDIR/dsf.flow.xml \
-traceFile=$OUTDIR/dsf.tr \
-monFile=$OUTDIR/dsf.mon $cfg $*

# -baseRate=50 \
# -linuxStack=1 \
# -queueTime=60 \
# -stopTime=240 \
