#!/bin/bash
source $(dirname $0)/../defs
cnt=0
for scale in $*; do
	norm=$(expr $scale \* 12500000)
	for x in $fifos DSFr DSFi; do
		case "$x" in
			DSFr) c=3; p=DSFR;  q=DSF;;
			DSFi) c=1; p=DSFI;  q=DSF;;
			   *) c=3; p=F$x; q=FIFO$x;;
	  esac
	  # position 1: counter
		echo -n $cnt
		for ((i=0;i<4;i+=1)); do
			# position 2-5: throughput
			echo -n " "
			echo -n $(fgrep "SUMMARY SC $i " $odir$scale/mon$c-$q-*|$AVG 6|awk '{print $2}'|$DIVC 1 $norm)
		done
		for ((t=2;t<=9;t+=1)); do
			# position 6-9,10-13: goodput
			echo -n " "
			echo -n $(for ((r=0;r<20;r+=1)); do
				fgrep "SUMMARY TC $t " $odir$scale/comp$c-$q-$r|$SUM 8
			done|$AVG 1|awk '{print $2}'|$DIVC 1 $norm)
		done
		echo " $p"
		cnt=$(expr $cnt + 1)
	done
	echo $cnt
	cnt=$(expr $cnt + 1)
done > $ddir/$EXP
